Subject: Re: [RFC 1/1] net: move IFF_LIVE_ADDR_CHANGE to public flag

From: Jakub Kicinski <[email-masked]>
Date: Wed, 10 Aug 2022 10:36:01 -0700

On Wed, 10 Aug 2022 19:17:19 +0200 Johannes Berg wrote:
> Thinking about that now, maybe it's not _that_ bad? Especially given
> that "live" can mean different things (as discussed here), and for
> wireless that doesn't necessarily mean IFF_UP, but rather something like
> "IFF_UP + not active".
> 
> Jakub, what do you think?

Agreed, even tho the concept of a live address change seems generic 
the implications and definition of "live" are very area specific.
Let's handwave that nl80211 is a subordinate API of RT netlink :)